Sign up Sign in Samples Blog contact support
Installing wagn to ec2 error

Support Ticket

closed
 
+issue

installing on ec2 had the following error:

 

[ec2- tmp]$ gem install wagn

Building native extensions.  This could take a while...

ERROR:  Error installing wagn:

ERROR: Failed to build gem native extension.

 

    /usr/bin/ruby2.0 extconf.rb

mkmf.rb can't find header files for ruby at /usr/share/ruby/include/ruby.h

 

 

Gem files will remain installed in /home/ec2-user/.gem/ruby/2.0/gems/rmagick-2.13.4 for inspection.

Results logged to /home/ec2-user/.gem/ruby/2.0/gems/rmagick-2.13.4/ext/RMagick/gem_make.out

 

 
+discussion

These errors aren't from wagn code, per se, but from the rmagick code it depends on.

 

What operating system are you using?

 

If it's ubuntu, you will likely want at least these packages to get rmagick to work:

 

"imagemagick",

"libmagickwand-dev",

 

You might have a look at wagn in production to get a sense of what other packages might be useful.

 

 

--Ethan McCutchen.....2015-02-17 19:44:43 +0000

Thank you.

 

I now have wagn installed, and passenger running. I added the code to httpd.conf as directed. When I go to http://myserver:3000, nothing is there.

 

I saw the part about adding a virtual host,, is that what I'm missing?

 

Thanks!

Michael

--Michael Suddes.....2015-02-18 14:58:45 +0000

Hi Michael,

 

Yes, you will need a virtual host.

 

The :3000 thing is a default port setting of a different (non-Apache) webserver called Webrick. This minimal little server ships with Wagn and all Ruby-on-Rails applications to make it easy to set up and test applications, but it's not really what you want for a production site. If you're just wanting to get a super simple installation running for testing, you can just go to your wagn root directory and run "wagn server", and the :3000 thing should work. It might actually be a good idea to test thing regardless before you get into Apache installation just to make sure your database and other configurations are all running as you want them to.

 

If you do want to do an Apache installation, then have a good look at Wagn on Apache (sounds like you already are, no?). As far as Apache set up goes, Wagn is very much like a normal Rails installation, so if there are any gaps in Wagn documentation, rails documentation may help.

 

And we'll definitely try to help, too, of course! (We're just not quite as fast as the internet).

--Ethan McCutchen.....2015-02-18 16:01:29 +0000

I am very new to rails so I will probably need some help. Mostly just a pointer to the document I need.

 

This is what I get when I try to start the server:

 

[ec2- labwiki]$ wagn server

/home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activesupport-3.2.16/lib/active_support/values/time_zone.rb:270: warning: circular argument reference - now

=> Booting WEBrick

=> Rails 3.2.16 application starting in production on http://0.0.0.0:3000

=> Call with -d to detach

=> Ctrl-C to shutdown server

Exiting

/home/ec2-user/.rvm/gems/ruby-2.2.0/gems/mysql2-0.3.18/lib/mysql2/client.rb:70:in `connect': Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2) (Mysql2::Error)

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/mysql2-0.3.18/lib/mysql2/client.rb:70:in `initialize'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activerecord-3.2.16/lib/active_record/connection_adapters/mysql2_adapter.rb:16:in `new'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activerecord-3.2.16/lib/active_record/connection_adapters/mysql2_adapter.rb:16:in `mysql2_connection'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activerecord-3.2.16/lib/active_record/connection_adapters/abstract/connection_pool.rb:315:in `new_connection'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activerecord-3.2.16/lib/active_record/connection_adapters/abstract/connection_pool.rb:325:in `checkout_new_connection'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activerecord-3.2.16/lib/active_record/connection_adapters/abstract/connection_pool.rb:247:in `block (2 levels) in checkout'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activerecord-3.2.16/lib/active_record/connection_adapters/abstract/connection_pool.rb:242:in `loop'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activerecord-3.2.16/lib/active_record/connection_adapters/abstract/connection_pool.rb:242:in `block in checkout'

from /home/ec2-user/.rvm/rubies/ruby-2.2.0/lib/ruby/2.2.0/monitor.rb:211:in `mon_synchronize'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activerecord-3.2.16/lib/active_record/connection_adapters/abstract/connection_pool.rb:239:in `checkout'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activerecord-3.2.16/lib/active_record/connection_adapters/abstract/connection_pool.rb:102:in `block in connection'

from /home/ec2-user/.rvm/rubies/ruby-2.2.0/lib/ruby/2.2.0/monitor.rb:211:in `mon_synchronize'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activerecord-3.2.16/lib/active_record/connection_adapters/abstract/connection_pool.rb:101:in `connection'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activerecord-3.2.16/lib/active_record/connection_adapters/abstract/connection_pool.rb:410:in `retrieve_connection'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activerecord-3.2.16/lib/active_record/connection_adapters/abstract/connection_specification.rb:171:in `retrieve_connection'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activerecord-3.2.16/lib/active_record/connection_adapters/abstract/connection_specification.rb:145:in `connection'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activerecord-3.2.16/lib/active_record/model_schema.rb:310:in `clear_cache!'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activerecord-3.2.16/lib/active_record/railtie.rb:103:in `block (2 levels) in '

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activesupport-3.2.16/lib/active_support/callbacks.rb:418:in `_run__1789380805162244301__prepare__1195731968943882029__callbacks'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activesupport-3.2.16/lib/active_support/callbacks.rb:405:in `__run_callback'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activesupport-3.2.16/lib/active_support/callbacks.rb:385:in `_run_prepare_callbacks'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activesupport-3.2.16/lib/active_support/callbacks.rb:81:in `run_callbacks'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/actionpack-3.2.16/lib/action_dispatch/middleware/reloader.rb:74:in `prepare!'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/actionpack-3.2.16/lib/action_dispatch/middleware/reloader.rb:48:in `prepare!'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/railties-3.2.16/lib/rails/application/finisher.rb:47:in `block in '

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/railties-3.2.16/lib/rails/initializable.rb:30:in `instance_exec'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/railties-3.2.16/lib/rails/initializable.rb:30:in `run'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/railties-3.2.16/lib/rails/initializable.rb:55:in `block in run_initializers'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/railties-3.2.16/lib/rails/initializable.rb:54:in `each'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/railties-3.2.16/lib/rails/initializable.rb:54:in `run_initializers'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/railties-3.2.16/lib/rails/application.rb:136:in `initialize!'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/railties-3.2.16/lib/rails/railtie/configurable.rb:30:in `method_missing'

from /home/ec2-user/labwiki/config/environment.rb:5:in ` '

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activesupport-3.2.16/lib/active_support/dependencies.rb:251:in `require'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activesupport-3.2.16/lib/active_support/dependencies.rb:251:in `block in require'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activesupport-3.2.16/lib/active_support/dependencies.rb:236:in `load_dependency'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/activesupport-3.2.16/lib/active_support/dependencies.rb:251:in `require'

from /home/ec2-user/labwiki/config.ru:3:in `block in '

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/rack-1.4.5/lib/rack/builder.rb:51:in `instance_eval'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/rack-1.4.5/lib/rack/builder.rb:51:in `initialize'

from /home/ec2-user/labwiki/config.ru:in `new'

from /home/ec2-user/labwiki/config.ru:in ` '

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/rack-1.4.5/lib/rack/builder.rb:40:in `eval'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/rack-1.4.5/lib/rack/builder.rb:40:in `parse_file'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/rack-1.4.5/lib/rack/server.rb:200:in `app'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/railties-3.2.16/lib/rails/commands/server.rb:46:in `app'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/rack-1.4.5/lib/rack/server.rb:304:in `wrapped_app'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/rack-1.4.5/lib/rack/server.rb:254:in `start'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/railties-3.2.16/lib/rails/commands/server.rb:70:in `start'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/railties-3.2.16/lib/rails/commands.rb:55:in `block in '

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/railties-3.2.16/lib/rails/commands.rb:50:in `tap'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/railties-3.2.16/lib/rails/commands.rb:50:in ` '

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/wagn-1.14.9/lib/wagn/commands.rb:45:in `require'

from /home/ec2-user/.rvm/gems/ruby-2.2.0/gems/wagn-1.14.9/lib/wagn/commands.rb:45:in ` '

from script/wagn:6:in `require'

from script/wagn:6:in ` '

 

I assume this means its not running...

 

Michael

--Michael Suddes.....2015-02-18 17:05:15 +0000

This means you need to get a database engine (probably mysql) set up.

 

I still don't know what OS you're using, but if it's ubuntu, then these two packages should get you most of the way.

 

"libmysql-ruby",

"libmysqlclient-dev"

 

Once you get mysql working, you will need to seed the database, as per the standard wagn installation instructions, using "wagn seed".

 

-ethan

 

--Ethan McCutchen.....2015-02-18 18:59:09 +0000

OK.

I started over with a different Amazon AMI that has passenger and ruby already on it. I installed apache, mysql, and php. Tested and running.

It took me a bit to get rmagick installed, but once I did, wagn installed without errors:

 

Then this happened:

 

[ec2- ~]$ wagn new labwiki

/usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- io/console (LoadError)

from /usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require'

from /usr/local/share/ruby/gems/2.0/gems/thor-0.19.1/lib/thor/shell/basic.rb:2:in ` '

from /usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require'

from /usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require'

from /usr/local/share/ruby/gems/2.0/gems/thor-0.19.1/lib/thor/shell/color.rb:1:in ` '

from /usr/local/share/ruby/gems/2.0/gems/thor-0.19.1/lib/thor/shell.rb:17:in `shell'

from /usr/local/share/ruby/gems/2.0/gems/thor-0.19.1/lib/thor/base.rb:439:in `start'

from /usr/local/share/ruby/gems/2.0/gems/wagn-1.14.9/lib/wagn/commands/application.rb:10:in ` '

from /usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require'

from /usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require'

from /usr/local/share/ruby/gems/2.0/gems/wagn-1.14.9/lib/wagn/cli.rb:16:in ` '

from /usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require'

from /usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require'

from /usr/local/share/ruby/gems/2.0/gems/wagn-1.14.9/bin/wagn:9:in ` '

from /usr/local/bin/wagn:23:in `load'

from /usr/local/bin/wagn:23:in ` '

 

I googled the error and installed ioconsole and ran rails -h as per the article I found, but still getting this error.

 

Thoughts?

--Michael Suddes.....2015-02-18 23:01:55 +0000

OK.

I started over with a different Amazon AMI:

 

webapp_nginx_rails_passenger - ami-15e7aa25

Rails 4.1.6 on Ruby 2.1.3, Passenger, Nginx, Amazon Linux (HVM)

Root device type: ebs Virtualization type: hvm

 

installed apache, mysql and php. tested and running. ruby, bundler, and imagemagick all there. Tried to install, and rmagick wouldnt install. So, installed imagemagick-devel. Worked!

 

Installed wagn without errors.

 

When i went to make my site, this happened:

[ec2- ~]$ wagn new labwiki

/usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- io/console (LoadError)

from /usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require'

from /usr/local/share/ruby/gems/2.0/gems/thor-0.19.1/lib/thor/shell/basic.rb:2:in ` '

from /usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require'

from /usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require'

from /usr/local/share/ruby/gems/2.0/gems/thor-0.19.1/lib/thor/shell/color.rb:1:in ` '

from /usr/local/share/ruby/gems/2.0/gems/thor-0.19.1/lib/thor/shell.rb:17:in `shell'

from /usr/local/share/ruby/gems/2.0/gems/thor-0.19.1/lib/thor/base.rb:439:in `start'

from /usr/local/share/ruby/gems/2.0/gems/wagn-1.14.9/lib/wagn/commands/application.rb:10:in ` '

from /usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require'

from /usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require'

from /usr/local/share/ruby/gems/2.0/gems/wagn-1.14.9/lib/wagn/cli.rb:16:in ` '

from /usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require'

from /usr/share/ruby/vendor_ruby/2.0/rubygems/core_ext/kernel_require.rb:55:in `require'

from /usr/local/share/ruby/gems/2.0/gems/wagn-1.14.9/bin/wagn:9:in ` '

from /usr/local/bin/wagn:23:in `load'

from /usr/local/bin/wagn:23:in ` '

 

So, I installed ioconsole and ran rails -h per an article on stack overflow:

 

http://stackoverflow.com/questions/23184819/rails-new-app-or-rails-h-craps-out-with-cannot-load-such-file-io-console

 

Still getting the error.

 

Where should I go from here?

 

Thanks!

Michael

 

--Michael Suddes.....2015-02-18 23:10:48 +0000

That's a new one for me, but it does look like the stackoverflow article is on the right track. Did you check your path as it suggests?

--Ethan McCutchen.....2015-02-18 23:16:31 +0000

Yes, seems to be OK

echo $PATH

/home/ec2-user/.rbenv/shims:/home/ec2-user/.rbenv/bin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/opt/aws/bin:/home/ec2-user/bin:/usr/local/bin

 

Further down on the page it has a suggestion to reinstall ruby and rails

 

or

 

"I simply added:

 

gem 'io-console'

To the top of my Gemfile and ran bundle install again on the box for great success. Hopefully quicker than reinstalling rails for anyone else who runs in to this."

 

 

So I might try those...

 

Michael

--Michael Suddes.....2015-02-18 23:26:24 +0000

OK, got it running on the test server. Just going to use that for now. One last problem, when I get it to come up on the webpage the very top item says this:

 

error rendering *head (raw view)

 

If you can give me an idea of how to fix that, I think I can manage by myself for a while…

Thank you,

Michael

--Michael Suddes.....2015-02-19 00:06:25 +0000

Also, when i try to sign in it freezes. the browser just sits blank at 000.000.000.000:3000/card/create.

 

server console:

 

 

Started POST "/card/create/" for 67.174.240.133 at 2015-02-19 00:15:38 +0000

Processing by CardController#create as HTML

Parameters: {"utf8"=>"✓", "authenticity_token"=>"NHNs6ijIp3+FdiPZJR0f0nrb8mQHo8pU0k/mhhvQM50=", "success"=>"REDIRECT: /", "card"=>{"type_id"=>"4", "name"=>"Michael", "subcards"=>{"+*account+*email"=>{"content"=>"michaeljsuddes@gmail.com", "type_id"=>"52"}, "+*account+*password"=>"[FILTERED]"}}, "setup"=>"true", "button"=>""}

[paperclip] Saving attachments.

[paperclip] Saving attachments.

[paperclip] Saving attachments.

[paperclip] Saving attachments.

[paperclip] Saving attachments.

[paperclip] Saving attachments.

[paperclip] Saving attachments.

[paperclip] Saving attachments.

exception = NoMethodError: undefined method `name' for nil:NilClass

 

Error rendering *head / core: NoMethodError : undefined method `all_roles' for nil:NilClass

 

Error rendering Michael / layout: NoMethodError : undefined method `all_roles' for nil:NilClass

Completed 500 Internal Server Error in 536.5ms

 

NoMethodError (undefined method `all_roles' for nil:NilClass):

wagn (1.14.9) lib/card/auth.rb:154:in `always_ok?'

tmp/set/all/1033-error.rb:65:in `rendering_error'

wagn (1.14.9) lib/card/format.rb:254:in `rescue_view'

wagn (1.14.9) lib/card/format.rb:194:in `rescue in render'

wagn (1.14.9) lib/card/format.rb:184:in `render'

tmp/set/all/1039-rich_html-content.rb:17:in `show'

wagn (1.14.9) app/controllers/card_controller.rb:229:in `show'

wagn (1.14.9) app/controllers/card_controller.rb:278:in `block in '

activesupport (3.2.16) lib/active_support/rescuable.rb:80:in `call'

activesupport (3.2.16) lib/active_support/rescuable.rb:80:in `rescue_with_handler'

actionpack (3.2.16) lib/action_controller/metal/rescue.rb:15:in `rescue_with_handler'

actionpack (3.2.16) lib/action_controller/metal/rescue.rb:32:in `rescue in process_action'

actionpack (3.2.16) lib/action_controller/metal/rescue.rb:29:in `process_action'

actionpack (3.2.16) lib/action_controller/metal/instrumentation.rb:30:in `block in process_action'

activesupport (3.2.16) lib/active_support/notifications.rb:123:in `block in instrument'

activesupport (3.2.16) lib/active_support/notifications/instrumenter.rb:20:in `instrument'

activesupport (3.2.16) lib/active_support/notifications.rb:123:in `instrument'

actionpack (3.2.16) lib/action_controller/metal/instrumentation.rb:29:in `process_action'

actionpack (3.2.16) lib/action_controller/metal/params_wrapper.rb:207:in `process_action'

activerecord (3.2.16) lib/active_record/railties/controller_runtime.rb:18:in `process_action'

actionpack (3.2.16) lib/abstract_controller/base.rb:121:in `process'

actionpack (3.2.16) lib/abstract_controller/rendering.rb:45:in `process'

actionpack (3.2.16) lib/action_controller/metal.rb:203:in `dispatch'

actionpack (3.2.16) lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

actionpack (3.2.16) lib/action_controller/metal.rb:246:in `block in action'

actionpack (3.2.16) lib/action_dispatch/routing/route_set.rb:73:in `call'

actionpack (3.2.16) lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

actionpack (3.2.16) lib/action_dispatch/routing/route_set.rb:36:in `call'

journey (1.0.4) lib/journey/router.rb:68:in `block in call'

journey (1.0.4) lib/journey/router.rb:56:in `each'

journey (1.0.4) lib/journey/router.rb:56:in `call'

actionpack (3.2.16) lib/action_dispatch/routing/route_set.rb:608:in `call'

actionpack (3.2.16) lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

rack (1.4.5) lib/rack/etag.rb:23:in `call'

rack (1.4.5) lib/rack/conditionalget.rb:35:in `call'

actionpack (3.2.16) lib/action_dispatch/middleware/head.rb:14:in `call'

actionpack (3.2.16) lib/action_dispatch/middleware/params_parser.rb:21:in `call'

actionpack (3.2.16) lib/action_dispatch/middleware/flash.rb:242:in `call'

rack (1.4.5) lib/rack/session/abstract/id.rb:210:in `context'

rack (1.4.5) lib/rack/session/abstract/id.rb:205:in `call'

actionpack (3.2.16) lib/action_dispatch/middleware/cookies.rb:341:in `call'

activerecord (3.2.16) lib/active_record/query_cache.rb:64:in `call'

activerecord (3.2.16) lib/active_record/connection_adapters/abstract/connection_pool.rb:479:in `call'

actionpack (3.2.16) lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'

activesupport (3.2.16) lib/active_support/callbacks.rb:405:in `_run__363162240723857381__call__2483829597676201525__callbacks'

activesupport (3.2.16) lib/active_support/callbacks.rb:405:in `__run_callback'

activesupport (3.2.16) lib/active_support/callbacks.rb:385:in `_run_call_callbacks'

activesupport (3.2.16) lib/active_support/callbacks.rb:81:in `run_callbacks'

actionpack (3.2.16) lib/action_dispatch/middleware/callbacks.rb:27:in `call'

actionpack (3.2.16) lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

actionpack (3.2.16) lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

actionpack (3.2.16) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

railties (3.2.16) lib/rails/rack/logger.rb:32:in `call_app'

railties (3.2.16) lib/rails/rack/logger.rb:16:in `block in call'

activesupport (3.2.16) lib/active_support/tagged_logging.rb:22:in `tagged'

railties (3.2.16) lib/rails/rack/logger.rb:16:in `call'

actionpack (3.2.16) lib/action_dispatch/middleware/request_id.rb:22:in `call'

rack (1.4.5) lib/rack/methodoverride.rb:21:in `call'

rack (1.4.5) lib/rack/runtime.rb:17:in `call'

activesupport (3.2.16) lib/active_support/cache/strategy/local_cache.rb:72:in `call'

rack (1.4.5) lib/rack/lock.rb:15:in `call'

actionpack (3.2.16) lib/action_dispatch/middleware/static.rb:63:in `call'

rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward'

rack-cache (1.2) lib/rack/cache/context.rb:143:in `pass'

rack-cache (1.2) lib/rack/cache/context.rb:155:in `invalidate'

rack-cache (1.2) lib/rack/cache/context.rb:71:in `call!'

rack-cache (1.2) lib/rack/cache/context.rb:51:in `call'

railties (3.2.16) lib/rails/engine.rb:484:in `call'

railties (3.2.16) lib/rails/application.rb:231:in `call'

rack (1.4.5) lib/rack/content_length.rb:14:in `call'

railties (3.2.16) lib/rails/rack/log_tailer.rb:17:in `call'

rack (1.4.5) lib/rack/handler/webrick.rb:59:in `service'

/home/ec2-user/.rvm/rubies/ruby-2.2.0/lib/ruby/2.2.0/webrick/httpserver.rb:138:in `service'

/home/ec2-user/.rvm/rubies/ruby-2.2.0/lib/ruby/2.2.0/webrick/httpserver.rb:94:in `run'

/home/ec2-user/.rvm/rubies/ruby-2.2.0/lib/ruby/2.2.0/webrick/server.rb:294:in `block in start_thread'

 

 

 

This is getting tedious. I may just quit.

 

Michael

--Michael Suddes.....2015-02-19 00:18:22 +0000

PS if you guys were to go over to Amazon EC2, and create an image with everything already installed so it works, then this would be a lot easier.

 

The cloud store thing didn't work, because no one ever returned my email sign-up request. I would happily pay five dollars a month to not have to go through this business. However, it's not working. I think creating an Amazon image and having it available in their community images area, might go along way toward adoption of the system.

 

As it is right now, I'm going to have to go to a PHP wiki site because I don't have the time to continue trying to diagnose the problems here, and still get my wiki set up.

 

I would be happy to try again if you have some suggestions on how I can do a clean install that actually works either from scratch, or from the Amazon service. Or fix the one I have.

 

Michael

--Michael Suddes.....2015-02-19 00:24:30 +0000

This isn't WAGN, I got numerous similar errors on my VM and my server. The problem lies in the newer versions of Ruby mostly anything above 2.0.0. WAGN has many gem dependencies and those dependencies have bugs in them on newer versions of Ruby because they changed many things with syntax and so on. Gem developers haven't upgraded because they have running systems to take care of so Ruby has gone on out ahead and left them behind. I tried and failed to compile and install a complete WAGN many times this week. In the end I installed an old Ruby 1.9.3-p227 from my distro's packages and managed to succeed finally.

 

Your errors are fine, mine were segmentation faults because I was compiling everything on a non x86 machine.

--Mir S......2015-03-24 01:36:08 +0000